﻿using Syncfusion.Compression.Zip;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace F130146
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        //Protect using AES-128 encryption algorithm
        private void button1_Click(object sender, EventArgs e)
        {
            ZipArchive zipArchive = new ZipArchive();
            zipArchive.AddFile("../../Data/Template1.txt");
            zipArchive.AddFile("../../Data/Template2.txt");
            zipArchive.AddFile("../../Data/Template3.txt");
            zipArchive.Protect("Syncfusion", EncryptionAlgorithm.AES128);
            zipArchive.Save("WithPassword128Bit.zip");
            Close();
        }

        //Protect using AES-192 encryption algorithm
        private void button2_Click(object sender, EventArgs e)
        {
            ZipArchive zipArchive = new ZipArchive();
            zipArchive.AddFile("../../Data/Template1.txt");
            zipArchive.AddFile("../../Data/Template2.txt");
            zipArchive.AddFile("../../Data/Template3.txt");
            zipArchive.Protect("Syncfusion", EncryptionAlgorithm.AES192);
            zipArchive.Save("WithPassword192Bit.zip");
            Close();
        }

        //Protect using AES-256 encryption algorithm
        private void button3_Click(object sender, EventArgs e)
        {
            ZipArchive zipArchive = new ZipArchive();
            zipArchive.AddFile("../../Data/Template1.txt");
            zipArchive.AddFile("../../Data/Template2.txt");
            zipArchive.AddFile("../../Data/Template3.txt");
            zipArchive.Protect("Syncfusion", EncryptionAlgorithm.AES256);
            zipArchive.Save("WithPassword256Bit.zip");
            Close();
        }

        //Protect using ZipCrypto encryption algorithm
        private void button4_Click(object sender, EventArgs e)
        {
            ZipArchive zipArchive = new ZipArchive();
            zipArchive.AddFile("../../Data/Template1.txt");
            zipArchive.AddFile("../../Data/Template2.txt");
            zipArchive.AddFile("../../Data/Template3.txt");
            zipArchive.Protect("Syncfusion", EncryptionAlgorithm.ZipCrypto);
            zipArchive.Save("WithPasswordZipCrypto.zip");
            Close();
        }

        //Un-Protect
        private void button5_Click(object sender, EventArgs e)
        {
            ZipArchive zipArchive = new ZipArchive();
            zipArchive.Open(new FileStream("../../Data/Protected.zip", FileMode.Open), false, "Syncfusion");
            zipArchive.UnProtect();
            zipArchive.Save("WithOutPassword.zip");
            Close();
        }
    }
}